Skip to main content
`Ctrl`+`K`

# TSGLLEAcceptRegister

adds a `TSGLLE` acceptance scheme

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSGLLEAcceptRegister(const char sname[], TSGLLEAcceptFn *function)

Not Collective

## Input Parameters

- sname - name of user-defined acceptance scheme

- function - routine to create method context, see `TSGLLEAcceptFn` for the calling sequence

## Note

`TSGLLEAcceptRegister()` may be called multiple times to add several user-defined families.

## Example Usage

      TSGLLEAcceptRegister("my_scheme", MySchemeCreate);

Then, your scheme can be chosen with the procedural interface via

      TSGLLESetAcceptType(ts, "my_scheme")

or at runtime via the option `-ts_gl_accept_type my_scheme`

## See Also

TS: Scalable ODE and DAE Solvers, `TSGLLE`, `TSGLLEType`, `TSGLLERegisterAll()`, `TSGLLEAcceptFn`

## Level

advanced

## Location

src/ts/impls/implicit/glle/glle.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages